summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-astronomy/pyephem
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-astronomy/pyephem')
-rw-r--r--sci-astronomy/pyephem/Manifest3
-rw-r--r--sci-astronomy/pyephem/metadata.xml19
-rw-r--r--sci-astronomy/pyephem/pyephem-3.7.5.1.ebuild55
-rw-r--r--sci-astronomy/pyephem/pyephem-3.7.5.2.ebuild55
-rw-r--r--sci-astronomy/pyephem/pyephem-3.7.5.3.ebuild55
5 files changed, 187 insertions, 0 deletions
diff --git a/sci-astronomy/pyephem/Manifest b/sci-astronomy/pyephem/Manifest
new file mode 100644
index 00000000000..c9690cfad00
--- /dev/null
+++ b/sci-astronomy/pyephem/Manifest
@@ -0,0 +1,3 @@
+DIST pyephem-3.7.5.1.tar.gz 703441 SHA256 f24f8fc23c493fb842b44defc539762351a1d46b85f3d4f5043a002066afb50d SHA512 e26baec13c150350bbb84a28a1572c770642fe9a149a7036b2d6f0a4db8bdefaa7c762c1d24a7bb0607a7ed39684c081a1622ef395fd7590d22d80a3d3e68286 WHIRLPOOL 98cb525e6acc15e479e23bea83b753b1b2859f97338f666e1e2be5f7a0829868abbec8856c3417fd2361f30d488dc038e1e65883b1113e8c022b80e33fd1f75b
+DIST pyephem-3.7.5.2.tar.gz 705497 SHA256 3a0f33defbc1d48d196e62f71fc70e1e36095b7864eff3fb553e36dee3df20a1 SHA512 50ec88ee19072168672113c399e96f348feb5c6a5b4362bdcda7de5d079bb7e594c6858047cee53dd9cba9104e85dff9a44ff8981ab434f4ca162662d2a3bddd WHIRLPOOL f603ad3460d6d6348396d3dd946965b4e7a87594a879549d48ff5ead8431a4723e8ab61f216ad686cd539f09cbcc1b334359188f35f80879484cd19d509fbf82
+DIST pyephem-3.7.5.3.tar.gz 735112 SHA256 cb0d7950d108aa5cbb1eb6e558086e98230de03ee1ede017a71701257b67eceb SHA512 a61b6a19c35c10ee9d4eba72cb0e6b9446076a3943be58dfd5e084bc9ab09dc70f2ee335ba5f0ef9d9d4d34a461bf4b9ddd57dae50d2e8a8f565d411e47f2908 WHIRLPOOL be28698df6214e769d03e74a67b353679a753723420e6a289b347b42c466c11253df9764f9e4e0fdda0424f4b62363b54fa58b520f45d480aae3a5883a84deae
diff --git a/sci-astronomy/pyephem/metadata.xml b/sci-astronomy/pyephem/metadata.xml
new file mode 100644
index 00000000000..e09bb9cc975
--- /dev/null
+++ b/sci-astronomy/pyephem/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-astronomy</herd>
+<longdescription lang="en">
+ PyEphem provides astronomical computations for the Python programming
+ language. Given a date and location on the Earth's surface, it can
+ compute the positions of the Sun and Moon, of the planets and their
+ moons, and of any asteroids, comets, or earth satellites whose orbital
+ elements the user can provide. Additional functions are provided to
+ compute the angular separation between two objects in the sky, to
+ determine the constellation in which an object lies, and to find the
+ times at which an object rises, transits, and sets on a particular
+ day.
+</longdescription>
+<upstream>
+ <remote-id type="pypi">pyephem</remote-id>
+</upstream>
+</pkgmetadata>
diff --git a/sci-astronomy/pyephem/pyephem-3.7.5.1.ebuild b/sci-astronomy/pyephem/pyephem-3.7.5.1.ebuild
new file mode 100644
index 00000000000..45b6ebbd634
--- /dev/null
+++ b/sci-astronomy/pyephem/pyephem-3.7.5.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Astronomical routines for the python programming language"
+HOMEPAGE="http://rhodesmill.org/pyephem/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="
+ doc? ( dev-python/sphinx )"
+RDEPEND=""
+
+src_prepare() {
+ # don't install rst files
+ sed -i -e "s:'doc/\*\.rst',::" setup.py || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ if use doc; then
+ PYTHONPATH=. emake -C src/ephem/doc html
+ fi
+}
+
+python_test() {
+ if [[ ${PYTHON_ABI} == "2.7" ]]; then
+ PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" \
+ ${EPYTHON} -m unittest discover -s src/ephem
+ else
+ PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" \
+ unit2 discover -s src/ephem
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+ use doc && dohtml -r src/ephem/doc/_build/html/*
+
+ delete_tests() {
+ rm -r "${D}$(python_get_sitedir)/ephem/tests" || die
+ }
+ python_foreach_impl delete_tests
+}
diff --git a/sci-astronomy/pyephem/pyephem-3.7.5.2.ebuild b/sci-astronomy/pyephem/pyephem-3.7.5.2.ebuild
new file mode 100644
index 00000000000..45b6ebbd634
--- /dev/null
+++ b/sci-astronomy/pyephem/pyephem-3.7.5.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Astronomical routines for the python programming language"
+HOMEPAGE="http://rhodesmill.org/pyephem/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="
+ doc? ( dev-python/sphinx )"
+RDEPEND=""
+
+src_prepare() {
+ # don't install rst files
+ sed -i -e "s:'doc/\*\.rst',::" setup.py || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ if use doc; then
+ PYTHONPATH=. emake -C src/ephem/doc html
+ fi
+}
+
+python_test() {
+ if [[ ${PYTHON_ABI} == "2.7" ]]; then
+ PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" \
+ ${EPYTHON} -m unittest discover -s src/ephem
+ else
+ PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" \
+ unit2 discover -s src/ephem
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+ use doc && dohtml -r src/ephem/doc/_build/html/*
+
+ delete_tests() {
+ rm -r "${D}$(python_get_sitedir)/ephem/tests" || die
+ }
+ python_foreach_impl delete_tests
+}
diff --git a/sci-astronomy/pyephem/pyephem-3.7.5.3.ebuild b/sci-astronomy/pyephem/pyephem-3.7.5.3.ebuild
new file mode 100644
index 00000000000..212efab81f7
--- /dev/null
+++ b/sci-astronomy/pyephem/pyephem-3.7.5.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Astronomical routines for the python programming language"
+HOMEPAGE="http://rhodesmill.org/pyephem/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="
+ doc? ( dev-python/sphinx )"
+RDEPEND=""
+
+src_prepare() {
+ # don't install rst files
+ sed -i -e "s:'doc/\*\.rst',::" setup.py || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ if use doc; then
+ PYTHONPATH=. emake -C ephem/doc html
+ fi
+}
+
+python_test() {
+ if [[ ${PYTHON_ABI} == "2.7" ]]; then
+ PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" \
+ ${EPYTHON} -m unittest discover -s src/ephem
+ else
+ PYTHONPATH="$(ls -d ${BUILD_DIR}/lib*)" \
+ unit2 discover -s src/ephem
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+ use doc && dohtml -r ephem/doc/_build/html/*
+
+ delete_tests() {
+ rm -r "${D}$(python_get_sitedir)/ephem/tests" || die
+ }
+ python_foreach_impl delete_tests
+}